Subject: RE: bootstrap msg contents

From: Desikan Saravanan <[email-masked]>
Date: Wed, 27 Jan 1999 16:19:23 -0800

Well. I agree for different groups, we can have different RPs for load
balancing.

Consider just one group.
I agree we need multiple C-RPs for robustness.
I understand that at any given point of time, all the PIM routers 
in that domain should map to an unique RP for the given group.
so, there is actually only one C-RP router which acts as RP for the group.
Am I correct here?

If so, I was wondering why should we duplicate the efforts to resolve who is
the actual RP amongst the given C-RPs of a given group, which can 
anyway be done in a BSR and propagated thro bootstrap messages?

Desikan

-----Original Message-----
From: Dave Thaler [mailto:[email-masked]]
Sent: Wednesday, January 27, 1999 4:00 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: bootstrap msg contents

> Why a BSR should advertise all the C-RPs in the bootstrap message,
> instead of advertising only the single active RP?

There can be multiple active RPs (for different groups), which can 
be useful for load balancing.

-Dave

---

From: Dave Thaler <[email-masked]>
Date: Wed, 27 Jan 1999 21:52:20 -0500 (EST)

> so, there is actually only one C-RP router which acts as RP for the group.

Yes.

> anyway be done in a BSR and propagated thro bootstrap messages?

Because you can have a huge number of groups, but a small number
of RPs.  The bootstrap message is only of size O(# RPs), which
is much better than O(G).

Furthermore, the BSR may be completely unaware of what groups
are in use, and so couldn't do the computation anyway.
(In fact in general, there is no single node in the domain that
is aware of all groups.)

-Dave

---

From: Shahzad Ali <[email-masked]>
Date: Thu, 28 Jan 1999 09:13:45 -0500 (EST)

On Wed, 27 Jan 1999, Desikan Saravanan wrote:

Arent we missing something here?  Lets say two CRp advertise
themselves for the same group prefix, lets say 224.0/16. Now how can the
BSR decide which is the best RP for ALL groups covered by this prefix.
There isnt one RP for ALL groups under the prefix.  I mean 224.0.1.1 can
map to one RP and 224.0.2.2 can map to a differet RP.  Afterall , the
mapping function takes in the actual group address as a parameter also.

		value(G, M, Ci)=......

-Shahzad

---

From: Shahzad Ali <[email-masked]>
Date: Thu, 28 Jan 1999 09:15:39 -0500 (EST)

> (In fact in general, there is no single node in the domain that

i agree with Dave.  Didnt see his message before replying :)

-Shahzad

---

From: Yunzhou Li <[email-masked]>
Date: Thu, 28 Jan 1999 10:21:58 -0500

> (In fact in general, there is no single node in the domain that

Add an example to support Dave's point:

   Each C-RP serves for different group ranges. For example,

    RP1:    225.0.0.0/8      priority 2
    RP2:    225.32.0.0/16    priority 1

   In this case, it is true that both RP1 and RP2 serve for a 
   particular group 225.32.0.1, and RP2 is the right RP for this
   group since it has a higher priority.

   However, if we don't have RP1 in cache, how do we procees
   another group 225.0.0.1? Obviously RP2 does not cover this 
   other group. We don't want to break 225.0.0.0/8 into several
   pieces...

Yunzhou